> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/39.-mutatie-seteaza-scheme-de-culori-personalizate-pentru-geohartile-selectate.md).

# 39. Mutație: Setează scheme de culori personalizate pentru "GeoHărțile" selectate

Setați scheme de culori personalizate pentru straturile de date: "ZonesMaps", "SoilDatasets".&#x20;

Suportul pentru alte straturi de date ("YieldDataset", "TopographyMaps", "SatelliteImages") urmează să fie adăugat.

Actualizați toate atributele pentru "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Actualizați doar schemele de culori ale "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**IMPORTANT** puncte pentru a învăța cum să folosiți mutația:

1. Atribute `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, și `shortName` sunt obligatorii pentru a identifica corect "GeoMap" care trebuie modificat. Toate aceste trei atribute împreună reflectă unicitatea "GeoMap".
2. Fie `soilDatasetUuid` sau `vectorAnalysisMapUuid` atribut trebuie folosit pentru fiecare input individual "GeoMap".
3. Valoarea pentru `shortName` trebuie să fie aceeași cu cea originală în "GeoMap". Nu este editabilă.
4. Atribute `fullName`, `description`, `hexColorCodes` sunt editabile pentru "ZonesMaps" și pot fi modificate. Schimbările nu se aplică dacă atributul nu este menționat.
5. Atribute `fullName`, `description`, `classes`, `hexColorCodes` sunt editabile pentru "SoilDatasets" și pot fi modificate. Schimbările nu se aplică dacă atributul nu este menționat.
6. Tablouri `classes` și `hexColorCodes`  trebuie să aibă exact aceeași lungime ca cea originală în "GeoMap".
7. Lungimea array-urilor "GeoMaps" din cerere și din răspuns trebuie să fie aceeași. Dacă nu, unele "GeoMaps" nu au fost editate cu succes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/39.-mutatie-seteaza-scheme-de-culori-personalizate-pentru-geohartile-selectate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
